netatalk: extattr.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
extattr.c File Reference
`#include <errno.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <atalk/adouble.h>`
`#include <atalk/compat.h>`
`#include <atalk/ea.h>`
`#include <atalk/errchk.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`

## Functions
static const char * | prefix (const char *uname)
int | sys_getxattrfd (int fd, const char *uname, int oflag,...)
ssize_t | sys_getxattr (const char *path, const char *uname, void *value, size_t size)
ssize_t | sys_fgetxattr (int filedes, const char *uname, void *value, size_t size)
ssize_t | sys_lgetxattr (const char *path, const char *uname, void *value, size_t size)
ssize_t | sys_listxattr (const char *path, char *list, size_t size)
ssize_t | sys_flistxattr (int filedes, const char *path, char *list, size_t size)
ssize_t | sys_llistxattr (const char *path, char *list, size_t size)
int | sys_removexattr (const char *path, const char *uname)
int | sys_fremovexattr (int filedes, const char *path, const char *uname)
int | sys_lremovexattr (const char *path, const char *uname)
int | sys_setxattr (const char *path, const char *uname, const void *value, size_t size, int flags)
int | sys_fsetxattr (int filedes, const char *uname, const void *value, size_t size, int flags)
int | sys_lsetxattr (const char *path, const char *uname, const void *value, size_t size, int flags)

## Variables
static char | attr_name [256+5] = "user."

## Function Documentation

## ◆ prefix()

const char * prefix | ( | const char * | uname | ) |
| static

## ◆ sys_fgetxattr()

ssize_t sys_fgetxattr | ( | int | filedes,
|  | const char * | uname,
|  | void * | value,
|  | size_t | size )

## ◆ sys_flistxattr()

ssize_t sys_flistxattr | ( | int | filedes,
|  | const char * | path,
|  | char * | list,
|  | size_t | size )

## ◆ sys_fremovexattr()

int sys_fremovexattr | ( | int | filedes,
|  | const char * | path,
|  | const char * | uname )

## ◆ sys_fsetxattr()

int sys_fsetxattr | ( | int | filedes,
|  | const char * | uname,
|  | const void * | value,
|  | size_t | size,
|  | int | flags )

## ◆ sys_getxattr()

ssize_t sys_getxattr | ( | const char * | path,
|  | const char * | uname,
|  | void * | value,
|  | size_t | size )

## ◆ sys_getxattrfd()

int sys_getxattrfd | ( | int | fd,
|  | const char * | uname,
|  | int | oflag,
|  |  | ... )

## ◆ sys_lgetxattr()

ssize_t sys_lgetxattr | ( | const char * | path,
|  | const char * | uname,
|  | void * | value,
|  | size_t | size )

## ◆ sys_listxattr()

ssize_t sys_listxattr | ( | const char * | path,
|  | char * | list,
|  | size_t | size )

## ◆ sys_llistxattr()

ssize_t sys_llistxattr | ( | const char * | path,
|  | char * | list,
|  | size_t | size )

## ◆ sys_lremovexattr()

int sys_lremovexattr | ( | const char * | path,
|  | const char * | uname )

## ◆ sys_lsetxattr()

int sys_lsetxattr | ( | const char * | path,
|  | const char * | uname,
|  | const void * | value,
|  | size_t | size,
|  | int | flags )

## ◆ sys_removexattr()

int sys_removexattr | ( | const char * | path,
|  | const char * | uname )

## ◆ sys_setxattr()

int sys_setxattr | ( | const char * | path,
|  | const char * | uname,
|  | const void * | value,
|  | size_t | size,
|  | int | flags )

## Variable Documentation

## ◆ attr_name

char attr_name[256+5] = "user."
| static